package core.notevault.data;

import androidx.room.*;
import core.notevault.data.sync.SyncStatus;
import core.notevault.data.sync.SyncStatusConverter;

import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.Locale;

@Entity(tableName = "concerts")
@TypeConverters(SyncStatusConverter.class)
public class Concert {

    @PrimaryKey(autoGenerate = true)
    private int id;

    private String serverSpecificConcertID;
    private String title;
    private String concertDate;
    private SyncStatus syncStatus;

    private LocalDateTime lastModified;

    @Ignore
    public Concert(String title, String concertDate) {
        this.title = title;
        this.concertDate = concertDate;
        this.lastModified = LocalDateTime.now();
    }

    public Concert() {
    }

    @Ignore
    public Concert(int id, String title, String concertDate) {
        this.id = id;
        this.title = title;
        this.concertDate = concertDate;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getConcertDate() {
        return concertDate;
    }

    public void setConcertDate(String concertDate) {
        this.concertDate = concertDate;
    }

    public String getServerSpecificConcertID() {
        return serverSpecificConcertID;
    }

    public void setServerSpecificConcertID(String serverSpecificConcertID) {
        this.serverSpecificConcertID = serverSpecificConcertID;
    }

    public SyncStatus getSyncStatus() {
        return syncStatus;
    }

    public void setSyncStatus(SyncStatus syncStatus) {
        this.syncStatus = syncStatus;
    }

    public LocalDateTime getLastModified() {
        return lastModified;
    }

    public void setLastModified(LocalDateTime lastModified) {
        this.lastModified = lastModified;
    }
}
